EndpointsSuper Admin Payouts

Super Admin Payouts

Function-calling namespace: superAdminPayouts

  • Base URL: https://api.aivida.in
  • Engine endpoint: POST /api
  • Auth: Stack token middleware enabled in optional mode.
  • Send token in header: x-stack-access-token: <access_token> (or Authorization: Bearer <access_token>).
  • In optional mode: no token is allowed; invalid token is rejected with 401.

create

Source: backend/endpoints/super-admin-payouts/create

Input Fields

FieldTypeRequiredConstraints
organizationIdstringYes-
grossAmountnumberYes-
commissionPercentnumberYes-
commissionAmountnumberYes-
gatewayChargenumberYes-
payoutChargenumberYes-
netPayoutnumberYes-
razorpayPayoutIdstringNo-
razorpayFundAccountIdstringNo-
statusstringYes-
paymentIdsarray<string>No-
notesstringNo-
processedByUserIdstringNo-
processedAtintegerNounix-ms timestamp; nullable

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "superAdminPayouts",
  "apiName": "create",
  "data": {
    "organizationId": "org_123",
    "grossAmount": 1,
    "commissionPercent": 1,
    "commissionAmount": 1,
    "gatewayCharge": 1,
    "payoutCharge": 1,
    "netPayout": 1,
    "status": "scheduled"
  }
}'

Example Response

{ "status": "ok", "data": {} }

delete

Source: backend/endpoints/super-admin-payouts/delete

Input Fields

FieldTypeRequiredConstraints
idstringYes-
organizationIdstringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "superAdminPayouts",
  "apiName": "delete",
  "data": {
    "id": "id_123",
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

getById

Source: backend/endpoints/super-admin-payouts/get-by-id

Input Fields

FieldTypeRequiredConstraints
idstringYes-
organizationIdstringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "superAdminPayouts",
  "apiName": "getById",
  "data": {
    "id": "id_123",
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

getOrganizationSummary

Source: backend/endpoints/super-admin-payouts/get-organization-summary

Input Fields

FieldTypeRequiredConstraints
organizationIdstringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "superAdminPayouts",
  "apiName": "getOrganizationSummary",
  "data": {
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

list

Source: backend/endpoints/super-admin-payouts/list

Input Fields

FieldTypeRequiredConstraints
pageintegerNo-
pageSizeintegerNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "superAdminPayouts",
  "apiName": "list",
  "data": {
    "page": 1,
    "pageSize": 1
  }
}'

Example Response

{ "status": "ok", "data": {} }

listByOrganization

Source: backend/endpoints/super-admin-payouts/list-by-organization

Input Fields

FieldTypeRequiredConstraints
organizationIdstringYes-
pageintegerNo-
pageSizeintegerNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "superAdminPayouts",
  "apiName": "listByOrganization",
  "data": {
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

requestByOrganization

Source: backend/endpoints/super-admin-payouts/request-by-organization

Input Fields

FieldTypeRequiredConstraints
organizationIdstringYes-
amountnumberYes-
notesstringNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "superAdminPayouts",
  "apiName": "requestByOrganization",
  "data": {
    "organizationId": "org_123",
    "amount": 1
  }
}'

Example Response

{ "status": "ok", "data": {} }

update

Source: backend/endpoints/super-admin-payouts/update

Input Fields

FieldTypeRequiredConstraints
idstringYes-
organizationIdstringYes-
grossAmountnumberNonullable
commissionPercentnumberNonullable
commissionAmountnumberNonullable
gatewayChargenumberNonullable
payoutChargenumberNonullable
netPayoutnumberNonullable
razorpayPayoutIdstringNonullable
razorpayFundAccountIdstringNonullable
statusstringNonullable
paymentIdsarray<string>Nonullable
notesstringNonullable
processedByUserIdstringNonullable
processedAtintegerNounix-ms timestamp; nullable
createdAtintegerNounix-ms timestamp; nullable
updatedAtintegerNounix-ms timestamp; nullable

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "superAdminPayouts",
  "apiName": "update",
  "data": {
    "id": "id_123",
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }